package pl.edu.icm.yadda.service2.user.log;

/**
 * Migration logger module
 * @author mhorst
 *
 */
public interface MigrationLogger {

	public enum Type {
		USER,
		GROUP
	}
	
	public enum Status {
		OK,
		SKIPPED,
		FAIL
	}
	
	/**
	 * Initializes logging.
	 */
	void init();
	
	/**
	 * Loggs single entry.
	 * @param type
	 * @param status
	 * @param id
	 * @param msg
	 * @param auxParams
	 */
	void log(Type type, Status status, String id, String msg, String... auxParams);

	/**
	 * Finalizes logging.
	 */
	void close();
	
}
