package pl.edu.icm.yadda.service2.user.log;


/**
 * Prints out migration log entry on standard output.
 * @author mhorst
 *
 */
public class StdOutMigrationLogger implements MigrationLogger {

	/* (non-Javadoc)
	 * @see pl.edu.icm.yadda.service2.user.log.MigrationLogger#init()
	 */
	@Override
	public void init() {
	}
	
	/* (non-Javadoc)
	 * @see pl.edu.icm.yadda.service2.user.log.MigrationLogger#log(pl.edu.icm.yadda.service2.user.log.MigrationLogger.Type, pl.edu.icm.yadda.service2.user.log.MigrationLogger.Status, java.lang.String, java.lang.String, java.lang.String[])
	 */
	@Override
	public void log(Type type, Status status, String id, String msg,
			String... auxParams) {
		StringBuffer strBuff = new StringBuffer();
		strBuff.append("migration result: ");
		strBuff.append(status);
		strBuff.append(", object type: ");
		strBuff.append(type);
		strBuff.append(", name: ");
		strBuff.append(id);
		strBuff.append(", message: ");
		strBuff.append(msg);
		if (auxParams!=null) {
			strBuff.append("aux params: ");
			boolean isFirst = true;
			for (String param : auxParams) {
				if (isFirst) {
					isFirst = false;
				} else {
					strBuff.append(", ");
				}
				strBuff.append(param);
			}
		}
		System.out.println(strBuff.toString());
	}

	/* (non-Javadoc)
	 * @see pl.edu.icm.yadda.service2.user.log.MigrationLogger#close()
	 */
	@Override
	public void close() {
	}

}
